#pragma once
#include "DTV_Base.h"

#define DTV_FILEIN_DATA_PAR_SEC		(3*1024*1024)	//  3 MB/s
#define DTV_FILEIN_DATA_READ_SIZE	(1*1024*1024)	//  1 MB

class CDTV_FileIn : public CDTV_Base
{
public:
	CDTV_FileIn();
	virtual ~CDTV_FileIn(void);

	BOOL Initialize(char *szInitString=NULL,HWND hWnd=NULL,GUID *pGuid=NULL);
	void Release();
	BOOL IsInitialized();

	DWORD GetExtFunction();
	DWORD GetDeviceCount();
	BOOL GetDeviceName(int iDevNo,char *lpszDevName,int iBufLen);
	DWORD GetUsbEndpointCount(int iDevNo);
	BOOL GetUsbEndpointInfo(int iDevNo,int iUsbEpNo,struct DTV_UsbEndpointInfo *pUsbEpInfo);
	BOOL IsEndpointEffective(int iDevNo,int iUsbEpAddr);

	BOOL Connect(int iDevNo,int iInEpAddr,int iOutEpAddr);
	void DisConnect();
	BOOL IsConnect();

	DWORD XferRequestProc(struct DTV_ThreadParam *lpParameter);

public:
	// pNXƎ	

protected:
	BOOL m_bOpen;
	HANDLE m_hFile;

};
